[KDE4.3-RC1] Bibilothèques partagées introuvables (n-résolu)

Xorg, Compiz, KDE / Gnome / Xfce / Fluxbox / e17 / fvwm ... GDM/KDM/XDM...
Répondre
Avatar de l’utilisateur
Pahcixam
archer
Messages : 101
Inscription : sam. 20 juin 2009, 12:54
Localisation : Europe / France / Rhône-Alpes / Ardèche

[KDE4.3-RC1] Bibilothèques partagées introuvables (n-résolu)

Message par Pahcixam »

Bonjour,

j'ai installé KDE4.3-RC1 depuis les liens donnés dans le topic dédié sur ce même forum. Après installation, même si kde semble fonctionner j'ai beaucoup de problèmes dès que j'essaye de démarrer une application de base de kde.

Par exemple si je veux lancer konqueror:

Code : Tout sélectionner

Impossible de charger le module « À propos de Konqueror ».
Le diagnostic est :
Cannot load library /usr/lib/kde4/konq_aboutpage.so: (libjpeg.so.7: Ne peut ouvrir le fichier d'objet partagé: Aucun fichier ou dossier de ce type)
La fenêtre de konqueror s'affiche mais il n'y a rien dedans. Si je rentre une url j'ai:

Code : Tout sélectionner

Impossible de charger le module « KHTML ».
Le diagnostic est :
Cannot load library /usr/lib/kde4/libkhtmlpart.so: (libjpeg.so.7: Ne peut ouvrir le fichier d'objet partagé: Aucun fichier ou dossier de ce type)
et je me retrouve avec le code source de la page.

Si je lance Kinfocenter il ne se passe rien, amarok idem. J'obtiens cette erreur quand je le démarre depuis la console:

Code : Tout sélectionner

amarok: error while loading shared libraries: libjpeg.so.7: cannot open shared object file: No such file or directory
Si je fais un ls /usr/lib/kde4/ | grep html j'obtiens:

Code : Tout sélectionner

$ ls /usr/lib/kde4/ | grep html
htmlthumbnail.so
kcm_konqhtml.so
khtmladaptorpart.so
khtmlimagepart.so
khtmlkttsdplugin.so
libkhtmlpart.so
Pour les autres fichiers manquants c'est pareil. Ils sont donc bien là. J'ai essayé de réinstaller kde-meta-kdebase en vidant le cache, toujours le même problème.

Est-ce que quelqu'un a rencontré le même problème, et surtout a-t-il trouvé une solution ?

Pour info j'ai installé ce même KDE sur mon laptop est tout fonctionne parfaitement.

Ma config qui pose problème:
[Processeur] : Intel Core2Quad Q9550
[Mémoire] : 2x2 Gb G.Skill DDR2-1066MHz
[Carte mère] : Asus P5Q - Chipset ICH10R
[Carte Graphique] : HD4870 1Go Sapphire Toxic
[Stockage] : Fake Raid0 2x1To Seagate 7200.11
[Environnement] : KDE4.3-RC1
[Distribution] : ArchLinux amd64 à jour
[Dépots dans l'ordre] : [core], [kde-unstable], [extra], [community], [archlinuxfr]
Xorg paramétré avec hal. Driver xf86-video-ati
[Démons au démarrage] : syslog-ng, network, netfs, crond, dbus, hal, alsa (dans l'ordre)
En vous remerciant.
- "Milou": ArchLinux x86_64, KDE 4.5, Amarok 2.3, Firefox 3.6, XAMPP -
Samsung Q35: Core 2 Duo T5500@Stock, 2.5Go DDR2, GMA 950 Intel

- "Enterprise": ArchLinux x86_64, KDE 4.5, Amarok 2.3, Firefox 3.6, XAMPP -
Asus P5Q, Core 2 Quad Q9550@Stock, 4Go DDR2, Club 3D HD4890 SuperClocked
benjarobin
Maître du Kyudo
Messages : 16020
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [KDE4.3-RC1] Bibilothèques partagées introuvables (n-résolu)

Message par benjarobin »

Pahcixam a écrit : Si je fais un ls /usr/lib/kde4/ | grep html j'obtiens:
Je vois le truc gros comme une maison. Mais bon pas sure.
Fait un ls -lL /usr/lib/kde4/ | grep html
Si tu vois ceci : l????????? ? ? ? ? ? c'est que le lien est mort
Je pense que ce ne sont que des liens symboliques qui sont morts.
En gros qui pointe vers le néant
Bon j'ai rien dit... Il y a pas de liens symboliques....
Dernière modification par benjarobin le dim. 05 juil. 2009, 16:47, modifié 2 fois.
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)
Guiux
Elfe
Messages : 870
Inscription : sam. 04 avr. 2009, 00:04
Localisation : Paris

Re: [KDE4.3-RC1] Bibilothèques partagées introuvables (n-résolu)

Message par Guiux »

Idem chez moi.

Et l'installation de libjpeg 0.7 provoque des problèmes des logiciels qui ont besoin de la version 0.6 (Kmail par exemple...).
Arch 64 bits KDE 4 + Windows 7 sur Dell XPS M1530 [Core 2 Duo 2,4 GHz | 3 Go RAM | nVidia Geforce 8600M GT]
benjarobin
Maître du Kyudo
Messages : 16020
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [KDE4.3-RC1] Bibilothèques partagées introuvables (n-résolu)

Message par benjarobin »

Eu comment cela ce fait que pacman n'est pas "gueulé" car tu n'aurai pas pu installer la nouvelle version de libjpeg si le paquet Kmail était bien fait.

Code : Tout sélectionner

whereis libjpeg
libjpeg: /usr/lib/libjpeg.so /usr/lib/libjpeg.a

whereis libjpeg.so.6
libjpeg.so: /usr/lib/libjpeg.so /usr/lib/libjpeg.so.62

Code : Tout sélectionner

ls -l /usr/lib/ | grep libjpeg
Tu devrai avoir la version 7, mais pour info j'ai :

Code : Tout sélectionner

pacman -Qs libjpeg
local/libjpeg 6b-6
    Library of JPEG support functions
http://bbs.archlinux.org/viewtopic.php?pid=579077
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)
Guiux
Elfe
Messages : 870
Inscription : sam. 04 avr. 2009, 00:04
Localisation : Paris

Re: [KDE4.3-RC1] Bibilothèques partagées introuvables (n-résolu)

Message par Guiux »

En fait, j'avais installé KDE4.3 rc1, en n'ayant rien installé depuis Testing, et tout marchait bien. Puis j'ai voulu essayer go-openoffice, qui me demandait libjpeg 0.7 pour fonctionner. Je l'ai donc installé.
J'ai désinstallé go-openoffice et ses dépendances et downgradé libjpeg, et c'est là que je me suis rendu compte qu'il y a vait des problèmes...

À aucun moment je n'ai eu de message d'avertissement avant une installation.

Mais comment se fait-il qu'avant, Konqueror et Amarok marchaient avec la version 0.6 alors que maintenant ils m'exigent la version 0.7 ?
Arch 64 bits KDE 4 + Windows 7 sur Dell XPS M1530 [Core 2 Duo 2,4 GHz | 3 Go RAM | nVidia Geforce 8600M GT]
Avatar de l’utilisateur
mightyjaym
yeomen
Messages : 296
Inscription : dim. 18 nov. 2007, 19:34
Localisation : Nîmes, France
Contact :

Re: [KDE4.3-RC1] Bibilothèques partagées introuvables (n-résolu)

Message par mightyjaym »

C'est du à un rebuild de kdelibs, kdemultimedia et kdegames avec libjpeg 0.7, rebuild un peu précipité et pas judicieux... vu qu'il y a incompatibilité totale upstream :p

Pas d'autre choix que de refaire une build des paquets en question. Je les ai pour x86_64 si ça peut dépanner.
Mon blog

Desktop : Intel Core 2 Duo E6850, 8 Gb RAM, NVIDIA GeForce 8500 GT, Arch Linux X86_64
Guiux
Elfe
Messages : 870
Inscription : sam. 04 avr. 2009, 00:04
Localisation : Paris

Re: [KDE4.3-RC1] Bibilothèques partagées introuvables (n-résolu)

Message par Guiux »

Bon, j'ai réinstallé libjpeg 0.7 pour voir, et ça se passe déjà mieux...

Konqueror et Kmail marchent sans problèmes.
Amarok marche, sauf pour la gestion des pochettes : aucune n'est prise en compte... :?
Arch 64 bits KDE 4 + Windows 7 sur Dell XPS M1530 [Core 2 Duo 2,4 GHz | 3 Go RAM | nVidia Geforce 8600M GT]
benjarobin
Maître du Kyudo
Messages : 16020
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [KDE4.3-RC1] Bibilothèques partagées introuvables (n-résolu)

Message par benjarobin »

Je pense qu'il va falloir attendre la sortit de la mise a jour des tous les paquets utilisant libjpeg est pour cela que je ne suis plus sur testing
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)
Guiux
Elfe
Messages : 870
Inscription : sam. 04 avr. 2009, 00:04
Localisation : Paris

Re: [KDE4.3-RC1] Bibilothèques partagées introuvables (n-résolu)

Message par Guiux »

J'ai trouvé un logiciel qui ne fonctionne pas avec libjpeg 0.7 : Okular.

Vous pensez que les mises à jour nécessaires sortiront rapidement ? Parce que ne pas pouvoir utiliser Okular, c'est plutôt embêtant...
Arch 64 bits KDE 4 + Windows 7 sur Dell XPS M1530 [Core 2 Duo 2,4 GHz | 3 Go RAM | nVidia Geforce 8600M GT]
Avatar de l’utilisateur
mightyjaym
yeomen
Messages : 296
Inscription : dim. 18 nov. 2007, 19:34
Localisation : Nîmes, France
Contact :

Re: [KDE4.3-RC1] Bibilothèques partagées introuvables (n-résolu)

Message par mightyjaym »

Bon j'ai un peu tâtonné pour résoudre les problèmes liés à libjpeg et j'ai réussi à tout rétablir sauf les miniatures dans dolphin (okular et gwenview fonctionnent nickel, ainsi que les pochettes sur amarok).

Il faut activer [testing] dans pacman.conf, et mettre les repos dans l'ordre suivant :

- kde-unstable
- testing
- core
- extra
- community

Après une mise à jour complète du système, tout baigne.

PS : les programmes basés sur gtk fonctionnent tous, ce qui est probablement lié au nouveau gtk2 de [testing]. Pour firefox, c'est la version de xulrunner présente dans [testing] qui prendra la relève. J'ai juste eu à recompiler amsn pour que mon système devienne à nouveau 100% fonctionnel.
Mon blog

Desktop : Intel Core 2 Duo E6850, 8 Gb RAM, NVIDIA GeForce 8500 GT, Arch Linux X86_64
Guiux
Elfe
Messages : 870
Inscription : sam. 04 avr. 2009, 00:04
Localisation : Paris

Re: [KDE4.3-RC1] Bibilothèques partagées introuvables (n-résolu)

Message par Guiux »

Houlà, ça risque de rajouter beaucoup de paquets de testing, ça, non ? :?
Je ne suis pas sûr de vouloir déstabiliser mon système à ce point...

Je penses plutôt que je vais revenir à KDE 4.2 et à libjpeg 0.6. Dommage, je m'y étais fait à KDE 4.3 et aux paquets splittés.. :cry:
J'ai juste un doute : si je reviens à KDE 4.2, Amarok va-t-il à nouveau utiliser libjpeg 0.6 ?
Arch 64 bits KDE 4 + Windows 7 sur Dell XPS M1530 [Core 2 Duo 2,4 GHz | 3 Go RAM | nVidia Geforce 8600M GT]
Avatar de l’utilisateur
mightyjaym
yeomen
Messages : 296
Inscription : dim. 18 nov. 2007, 19:34
Localisation : Nîmes, France
Contact :

Re: [KDE4.3-RC1] Bibilothèques partagées introuvables (n-résolu)

Message par mightyjaym »

Oui, la version de libjpeg demandée par Amarok dépend de la façon dont kdelibs a été compilée. Donc si tu downgrades kdelibs, amarok s'adaptera.
Mon blog

Desktop : Intel Core 2 Duo E6850, 8 Gb RAM, NVIDIA GeForce 8500 GT, Arch Linux X86_64
Guiux
Elfe
Messages : 870
Inscription : sam. 04 avr. 2009, 00:04
Localisation : Paris

Re: [KDE4.3-RC1] Bibilothèques partagées introuvables (n-résolu)

Message par Guiux »

Il y a des retours depuis le passage de libjpeg 7 dans [Extra] ?
Arch 64 bits KDE 4 + Windows 7 sur Dell XPS M1530 [Core 2 Duo 2,4 GHz | 3 Go RAM | nVidia Geforce 8600M GT]
Répondre